# Effects

Class in [Yarn.Unity](/2.0/api/csharp/yarn.unity.md)

Inherits from `System.Object`

## Summary

```csharp
public static class Effects
```

## Methods

| Name                                                                                                                                               | Description                                                                                                                                                                                                                                                                                                                                  |
| -------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [FadeAlpha(CanvasGroup,float,float,float,Action,InterruptionFlag)](/2.0/api/csharp/yarn.unity/yarn.unity.effects/yarn.unity.effects.fadealpha.md)  | A coroutine that fades a `CanvasGroup` object's opacity from `from` to `to` over the course of `fadeTime` seconds, and then invokes `onComplete` . An [InterruptionFlag](/2.0/api/csharp/yarn.unity/yarn.unity.interruptionflag.md) may be used to signal that the fade should be interrupted; if this happens, the opacity is set to `to` . |
| [Typewriter(TextMeshProUGUI,float,Action,Action,InterruptionFlag)](/2.0/api/csharp/yarn.unity/yarn.unity.effects/yarn.unity.effects.typewriter.md) |                                                                                                                                                                                                                                                                                                                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.effects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
